Pular para o conteúdo principal
DELETE
/
v3
/
organizations
/
{org_id}
/
knowledge
/
notes
/
{note_id}
Excluir uma nota no nível da organização
curl --request DELETE \
  --url https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes/{note_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes/{note_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes/{note_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "body": "<string>",
  "created_at": 123,
  "folder_id": "<string>",
  "folder_path": "<string>",
  "is_enabled": true,
  "macro": "<string>",
  "name": "<string>",
  "note_id": "<string>",
  "org_id": "<string>",
  "pinned_repo": "<string>",
  "trigger": "<string>",
  "updated_at": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Permissões

Requer um usuário de serviço com a permissão ManageAccountKnowledge na organização especificada.

Autorizações

Authorization
string
header
obrigatório

Credencial de usuário de serviço (prefixo: cog_)

Parâmetros de caminho

note_id
string
obrigatório

ID da nota do Knowledge (prefixo: note-)

Exemplo:

"note-abc123def456"

org_id
string
obrigatório

ID da organização (prefixo: org-)

Exemplo:

"org-abc123def456"

Resposta

Resposta bem-sucedida

access_type
enum<string>
obrigatório
Opções disponíveis:
enterprise,
org
body
string
obrigatório
created_at
integer
obrigatório
folder_id
string | null
obrigatório
folder_path
string
obrigatório
is_enabled
boolean
obrigatório
macro
string | null
obrigatório
name
string
obrigatório
note_id
string
obrigatório
org_id
string | null
obrigatório
pinned_repo
string | null
obrigatório
trigger
string
obrigatório
updated_at
integer
obrigatório